Version 5.4.0 requires Visual C++ Runtime 2013 on Windows
Status: Closed Start date: 28 Mar 2022

Priority: Urgent Due date:  

Assignee:  % Done: 100%

Category: Portability Estimated time: 0.00 hour

Target version: CoCoA-5.4.2 Spent time: 0.35 hour

Description

When I tried to run the newest CoCoA version on my Windows 10 machine I got the error messages "MSVCP120.dll not found" and

"MSVCR120.dll not found".

Following the advice given here (

https://answers.microsoft.com/en-us/windows/forum/all/missing-msvcp120dll-file/f0a14d55-73f0-4a21-879e-1cbacf05e906) I installed

Visual C++ Runtime 2013 and was able to run CoCoA.

Maybe one can add this to the installation instructions.

History

#1 - 07 Mar 2023 20:23 - John Abbott

- Category set to Portability

- Priority changed from Normal to Urgent

- Target version set to CoCoA-5.4.2

We plan to make a new release quite soon (before the CoCoA School).

I'm hoping Nico Mexis might be willing to make the Microsoft compilation.

Is someone in Passau willing to be a guinea pig, and check that it works?

Timeline: we're hoping to fix the sources by Friday afternoon (unless

important bugs appear).

#2 - 09 Mar 2023 21:41 - Nico Mexis

- % Done changed from 0 to 90

I have analysed version 5.4.0 and my currently installed CoCoA version (5.4.1k), compiled on 24 Feb 2023 at 09:59:49 using ldd.

According to ldd, the dependencies of version 5.4.0 include MSVCP140.dll, VCRUNTIME140.dll, MSVCP120.dll, MSVCR120.dll and many others.

A deeper analysis shows that these dependencies actually originate from MATHSAT.dll.

However, since MATHSAT does not work in the Windows version anyway, I have since excluded it from all my local releases.

My current version produces the following ldd:

        ntdll.dll => /c/WINDOWS/SYSTEM32/ntdll.dll (0x7ff91a430000)

        KERNEL32.DLL => /c/WINDOWS/System32/KERNEL32.DLL (0x7ff919c90000)

        KERNELBASE.dll => /c/WINDOWS/System32/KERNELBASE.dll (0x7ff9179d0000)

        cygboost_filesystem-1_66.dll => /g/Programme/CoCoA/cygboost_filesystem-1_66.dll (0x3fa470000)

        cygcddgmp-0.dll => /g/Programme/CoCoA/cygcddgmp-0.dll (0x3fd890000)

        cyggmpxx-4.dll => /g/Programme/CoCoA/cyggmpxx-4.dll (0x3fd080000)

        cyggmp-10.dll => /g/Programme/CoCoA/cyggmp-10.dll (0x3ffb70000)

        cygreadline7.dll => /g/Programme/CoCoA/cygreadline7.dll (0x3ff350000)

        cyggcc_s-seh-1.dll => /g/Programme/CoCoA/cyggcc_s-seh-1.dll (0x3ffc30000)

        cygwin1.dll => /g/Programme/CoCoA/cygwin1.dll (0x7ff8888f0000)

        cygboost_system-1_66.dll => /g/Programme/CoCoA/cygboost_system-1_66.dll (0x3f9d80000)

        cygstdc++-6.dll => /g/Programme/CoCoA/cygstdc++-6.dll (0x3ff0a0000)

        cyggsl-19.dll => /g/Programme/CoCoA/cyggsl-19.dll (0x3fcdb0000)

        cygstdc++-6.dll => /g/Programme/CoCoA/cygstdc++-6.dll (0xde0000)

        cygncursesw-10.dll => /g/Programme/CoCoA/cygncursesw-10.dll (0x3ff630000)
        cygblas-0.dll => /g/Programme/CoCoA/cygblas-0.dll (0x3c5be0000)

 

Because of this, the bug seems to have been fixed on my machine by excluding MATHSAT from the compilation process, and I have marked this

issue as 90% complete.

Once the new release is compiled, someone should test it properly to make sure this is no longer an issue.

#3 - 27 Jun 2023 18:21 - John Abbott

Nico thinks that 5.4.1p should be OK; we are not sure which version Julian Wilson used when he reported this same problem again.

Nico will contact Julian directly, and hopefully resolve soon.

#4 - 28 Jun 2023 13:55 - Nico Mexis

- Status changed from New to Resolved

- % Done changed from 90 to 100

Received feeback by Julian Wilson and Florian Walsh that

#5 - 31 Mar 2024 20:40 - Nico Mexis

- Status changed from Resolved to Closed

Only just noticed that my previous comment seems to be cut off for some reason... The feedback was positive: The new versions do not require any

Visual C++ Runtime anymore.
